% Extract the list of unique node numbers for the nodes that 
%  are connected by the gcells.
%
% function cn = connected_nodes(gcells)
%
function cn = connected_nodes(gcells)
    conn= get(gcells(1),'conn');
    all_nodes = zeros(length(gcells),length(conn));
    for i=1:length(gcells)
        all_nodes(i,:) = get (gcells(i),'conn');
    end
    cn = unique(reshape(all_nodes,length(gcells)*length(conn), 1),'rows');
    return
end
